Bug 352831 - adding the -d option to the execution line in /etc/init.d/sysstat fails to track disk stats after the daily roll of the /var/log/sa files.
adding the -d option to the execution line in /etc/init.d/sysstat fails to tr...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysstat (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-10-25 13:33 EDT by brian
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-08 06:05:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description brian 2007-10-25 13:33:15 EDT
I've read the sadc man page and found that if I want to track disk usage stats I
need to execute sadc with the -d flag.  So I modified the /etc/init.d/sysstat
script to start up sadc with the -d option.  This appears to work as expected to
start with.  However after the daily roll of the stats files in /var/log/sa the
-d value seems to get forgotten as the next day's file does not have disk stats.
 I have been looking for what is restarting the file daily but I'm not seeing an
obvious answer there to see if I just need to add -d somewhere else. 

Tracking disk stats have value to us as we are using a number of SAN attached
storage arrays on a server and we wish to track which of these devices are being
used and how they are being used.
Comment 1 Ivana Varekova 2007-11-08 06:05:21 EST
I'm not sure whether you have not edited /etc/cron.d/sysstat file but there is
necessary to edit /usr/lib{64}/sa/sa1 script - which creates an output record to
/var/log/sa/sa{date} file per 10 minutes (see /etc/cron.d/sysstat).
/etc/init.d/sysstat only creates the initial record to /var/log/sa/sa{date}.

Note You need to log in before you can comment on or make changes to this bug.